/*
 * MelonJS Game Engine
 * Copyright (C) 2011 - 2015, Olivier Biot, Jason Oster, Aaron McLeod
 * http://www.melonjs.org
 *
 * Tile QT 0.7.x format
 * http://www.mapeditor.org/
 *
 */
(function () {
    me.TMXConstants = {
        // some custom constants
        COLLISION_GROUP             : "collision",
        // some TMX constants
        TMX_TAG_MAP                 : "map",
        TMX_TAG_NAME                : "name",
        TMX_TAG_VALUE               : "value",
        TMX_TAG_VERSION             : "version",
        TMX_TAG_ORIENTATION         : "orientation",
        TMX_TAG_WIDTH               : "width",
        TMX_TAG_HEIGHT              : "height",
        TMX_TAG_TYPE                : "type",
        TMX_TAG_OPACITY             : "opacity",
        TMX_TAG_TILEWIDTH           : "tilewidth",
        TMX_TAG_TILEHEIGHT          : "tileheight",
        TMX_TAG_TILEOFFSET          : "tileoffset",
        TMX_TAG_FIRSTGID            : "firstgid",
        TMX_TAG_GID                 : "gid",
        TMX_TAG_TILE                : "tile",
        TMX_TAG_ID                  : "id",
        TMX_TAG_NEXTOBJID           : "nextobjectid",
        TMX_TAG_DATA                : "data",
        TMX_TAG_COMPRESSION         : "compression",
        TMX_TAG_GZIP                : "gzip",
        TMX_TAG_ZLIB                : "zlib",
        TMX_TAG_ENCODING            : "encoding",
        TMX_TAG_ATTR_BASE64         : "base64",
        TMX_TAG_CSV                 : "csv",
        TMX_TAG_SPACING             : "spacing",
        TMX_TAG_MARGIN              : "margin",
        TMX_TAG_PROPERTIES          : "properties",
        TMX_TAG_PROPERTY            : "property",
        TMX_TAG_IMAGE               : "image",
        TMX_TAG_SOURCE              : "source",
        TMX_TAG_VISIBLE             : "visible",
        TMX_TAG_TILESET             : "tileset",
        TMX_TAG_LAYER               : "layer",
        TMX_TAG_TILE_LAYER          : "tilelayer",
        TMX_TAG_IMAGE_LAYER         : "imagelayer",
        TMX_TAG_OBJECTGROUP         : "objectgroup",
        TMX_TAG_OBJECT              : "object",
        TMX_TAG_X                   : "x",
        TMX_TAG_Y                   : "y",
        TMX_TAG_POLYGON             : "polygon",
        TMX_TAG_POLYLINE            : "polyline",
        TMX_TAG_ELLIPSE             : "ellipse",
        TMX_TAG_POINTS              : "points",
        TMX_BACKGROUND_COLOR        : "backgroundcolor",
        TMX_ROTATION                : "rotation",
        TMX_HEXSIDELEN              : "hexsidelength",
        // bitmask constants to check for flipped & rotated tiles
        TMX_FLIP_H                  : 0x80000000,
        TMX_FLIP_V                  : 0x40000000,
        TMX_FLIP_AD                 : 0x20000000,
        TMX_CLEAR_BIT_MASK          : ~(0x80000000 | 0x40000000 | 0x20000000)
    };
})();
